import 'dart:ui';
import '../repositories/locale_repository_interface.dart';

/// Use case to retrieve the default locale.
class GetDefaultLocaleUseCase {
  final LocaleRepositoryInterface _repository;

  /// Creates a [GetDefaultLocaleUseCase] with the required [LocaleRepositoryInterface].
  GetDefaultLocaleUseCase(this._repository);

  /// Retrieves the default locale.
  Locale call() {
    return _repository.getDefaultLocale();
  }
}
